Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swtbot.swt.finder.widgets
Class SWTBotCLabel

    java.lang.Object
      org.eclipse.swtbot.swt.finder.widgets.AbstractSWTBot<T>
          org.eclipse.swtbot.swt.finder.widgets.AbstractSWTBotControl<CLabel>
              org.eclipse.swtbot.swt.finder.widgets.SWTBotCLabel

    public class SWTBotCLabel

extends AbstractSWTBotControl<CLabel>

This represents a `CLabel` widget.

Since:
  1.0
Version:
  $Id$
Author:
  Cedric Chabanois <cchabanois [at] no-log [dot] org>

Field Summary

Fields inherited from class org.eclipse.swtbot.swt.finder.widgets.AbstractSWTBot
`description, display, log, widget`

Constructor Summary
`SWTBotCLabel(CLabel w)` Constructs an instance of this using the given finder and text to search for.
`SWTBotCLabel(CLabel w, SelfDescribing description)` Constructs an instance of this using the given finder and text to search for.

Method Summary
`int` | `alignment()` Returns the alignment.
`Image` | `image()` Return the CLabel's image or `null`.

Methods inherited from class org.eclipse.swtbot.swt.finder.widgets.AbstractSWTBotControl
`absoluteLocation, click, moveMouseToWidget, rightClick`

Methods inherited from class org.eclipse.swtbot.swt.finder.widgets.AbstractSWTBot
`assertEnabled, asyncExec, backgroundColor, click, click, clickXY, contextMenu, contextMenu, createEvent, createMouseEvent, createSelectionEvent, doubleClickXY, foregroundColor, getId, getText, getToolTipText, hasStyle, isActive, isEnabled, isEnabledInternal, isVisible, keyboard, notify, notify, notify, pressShortcut, pressShortcut, pressShortcut, rightClick, rightClick, setFocus, sleep, syncExec, syncExec, syncExec, syncExec, syncExec, syncExec, syncExec, syncExec, toString, traverse, waitForEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SWTBotCLabel

    public SWTBotCLabel(CLabel w)
                 throws WidgetNotFoundException

  Constructs an instance of this using the given finder and text to search for.

  Parameters:
    `w` - the widget.
  Throws:
    `WidgetNotFoundException` - if the widget is not found.
  Since:
    2.0

### SWTBotCLabel

    public SWTBotCLabel(CLabel w,
                        SelfDescribing description)
                 throws WidgetNotFoundException

  Constructs an instance of this using the given finder and text to search for.

  Parameters:
    `w` - the widget.
    `description` - the description of the widget, this will be reported by `AbstractSWTBot.toString()`
  Throws:
    `WidgetNotFoundException` - if the widget is not found.
  Since:
    2.0

Method Detail

### image

    public Image image()

  Return the CLabel's image or `null`.

  Returns:
    the image of the label or null

### alignment

    public int alignment()

  Returns the alignment. The alignment style (LEFT, CENTER or RIGHT) is returned.

  Returns:
    SWT.LEFT, SWT.RIGHT or SWT.CENTER

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD